import { PluginManager } from './PluginManager';
import { PersistenceManager } from '../types/persistence-interfaces';
import { HistoryManager, HistoryConfig } from '../types/history-interfaces';
import { ReactivityManager, ReactivityConfig } from '../types/reactivity-interfaces';
import { LiveQueryManager } from '../types/live-query-interfaces';
import { GraphAlgorithmsManager } from '../types/graph-interfaces';
import type { CSElement } from './CSElement';
import { ElementRegistry } from './ElementRegistry';
declare class ServiceRegistry {
    private _pluginManager;
    private _persistenceManager;
    private _historyManager;
    private _reactivityManager;
    private _liveQueryManager;
    private _graphAlgorithmsManager;
    private _registry;
    constructor();
    init(cselementClass: typeof CSElement): void;
    get plugins(): PluginManager;
    get persistence(): PersistenceManager;
    get history(): HistoryManager;
    get reactivity(): ReactivityManager;
    get liveQueries(): LiveQueryManager;
    get graphAlgorithms(): GraphAlgorithmsManager;
    get registry(): ElementRegistry;
    configureHistory(config: HistoryConfig): void;
    configureReactivity(config: ReactivityConfig): void;
}
export declare const services: ServiceRegistry;
export {};
//# sourceMappingURL=ServiceRegistry.d.ts.map