"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateId = generateId;
exports.isFunction = isFunction;
exports.deepClone = deepClone;
exports.delay = delay;
/**
 * Генерация уникального идентификатора
 */
function generateId() {
    return `cs_${Date.now()}_${Math.random().toString(36).substr(2, 9)}`;
}
/**
 * Проверка является ли значение функцией
 */
function isFunction(value) {
    return typeof value === 'function';
}
/**
 * Глубокое клонирование объекта
 */
function deepClone(obj) {
    if (obj === null || typeof obj !== 'object') {
        return obj;
    }
    if (obj instanceof Date) {
        return new Date(obj.getTime());
    }
    if (obj instanceof Array) {
        const cloneArr = [];
        for (let i = 0; i < obj.length; i++) {
            cloneArr[i] = deepClone(obj[i]);
        }
        return cloneArr;
    }
    if (obj instanceof Map) {
        const cloneMap = new Map();
        obj.forEach((value, key) => {
            cloneMap.set(key, deepClone(value));
        });
        return cloneMap;
    }
    if (obj instanceof Set) {
        const cloneSet = new Set();
        obj.forEach((value) => {
            cloneSet.add(deepClone(value));
        });
        return cloneSet;
    }
    const cloneObj = {};
    for (const key in obj) {
        if (obj.hasOwnProperty(key)) {
            cloneObj[key] = deepClone(obj[key]);
        }
    }
    return cloneObj;
}
/**
 * Задержка выполнения
 */
function delay(ms) {
    return new Promise(resolve => setTimeout(resolve, ms));
}
