/**
 * Хранилище миграций в памяти для CSElement
 */
import { IMigrationStorage, MigrationRecord, MigrationStatus } from '../types/migration-interfaces';
/**
 * Реализация хранилища миграций в памяти
 */
export declare class MemoryMigrationStorage implements IMigrationStorage {
    private records;
    /**
     * Сохранение записи о миграции
     */
    saveRecord(record: MigrationRecord): Promise<void>;
    /**
     * Получение записи о миграции
     */
    getRecord(migrationId: string): Promise<MigrationRecord | undefined>;
    /**
     * Получение всех записей
     */
    getAllRecords(): Promise<MigrationRecord[]>;
    /**
     * Получение записей по статусу
     */
    getRecordsByStatus(status: MigrationStatus): Promise<MigrationRecord[]>;
    /**
     * Обновление статуса миграции
     */
    updateStatus(migrationId: string, status: MigrationStatus): Promise<void>;
    /**
     * Удаление записи
     */
    deleteRecord(migrationId: string): Promise<void>;
    /**
     * Очистка всех записей
     */
    clear(): Promise<void>;
}
//# sourceMappingURL=MemoryMigrationStorage.d.ts.map