import { CSElementPlugin, LifecycleHooks } from '../types/plugin-interfaces';
import { DevToolsManager } from '../devtools/DevToolsManager';
/**
 * Плагин DevTools для CSElement
 * Обеспечивает инспектирование и профилирование элементов
 */
export declare class DevToolsPlugin implements CSElementPlugin {
    readonly name = "devtools";
    readonly version = "1.0.0";
    readonly description = "\u0418\u043D\u0441\u0442\u0440\u0443\u043C\u0435\u043D\u0442\u044B \u0440\u0430\u0437\u0440\u0430\u0431\u043E\u0442\u0447\u0438\u043A\u0430 \u0434\u043B\u044F \u0438\u043D\u0441\u043F\u0435\u043A\u0442\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u044F \u0438 \u043F\u0440\u043E\u0444\u0438\u043B\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u044F CSElement";
    private manager;
    private isInstalled;
    private CSElementClass;
    constructor();
    /**
     * Хуки жизненного цикла
     */
    hooks: LifecycleHooks;
    /**
     * Установка плагина
     */
    install(CSElementClass?: any): void;
    /**
     * Удаление плагина
     */
    uninstall(): void;
    /**
     * Получить менеджер DevTools
     */
    getManager(): DevToolsManager;
    /**
     * Расширить CSElement методами DevTools
     */
    private extendCSElement;
    /**
     * Удалить расширения CSElement
     */
    private removeCSElementExtensions;
}
export declare const devToolsPlugin: DevToolsPlugin;
declare module '../types/interfaces' {
    interface ICSElement {
        /**
         * Инспектировать элемент
         */
        inspect?(): any;
        /**
         * Создать снимок структуры
         */
        createSnapshot?(): any;
        /**
         * Сериализовать элемент для DevTools
         */
        serializeForDevTools?(options?: any): any;
        /**
         * Найти элемент по пути
         */
        findByPath?(path: string[]): ICSElement | null;
        /**
         * Получить путь элемента
         */
        getElementPath?(): string[];
    }
}
//# sourceMappingURL=DevToolsPlugin.d.ts.map