import { CSElement } from '../core/CSElement';
import { UseElementOptions, UseElementResult, UseCSElementOptions, UseCSElementResult } from '../types/react-interfaces';
/**
 * React хук для управления одним CSElement
 */
export declare function useElement(options?: UseElementOptions): UseElementResult;
/**
 * Хук для получения экземпляра CSElement по ID.
 */
export declare function useCSElementById(id: string): CSElement | null;
/**
 * Хук для выполнения запроса к элементу.
 */
export declare function useQuery(root: CSElement | null, selector: string): CSElement[];
/**
 * Хук для получения одного элемента по селектору.
 */
export declare function useQueryOne(root: CSElement | null, selector: string): CSElement | null;
/**
 * React хук для управления всей системой CSElement
 */
export declare function useCSElementSystem(options?: UseCSElementOptions): UseCSElementResult;
//# sourceMappingURL=hooks.d.ts.map