/**
 * Интерфейсы для системы массовых операций (Batch Operations)
 */
/**
 * Тип операции в батче
 */
export var BatchOperationType;
(function (BatchOperationType) {
    BatchOperationType["CREATE"] = "create";
    BatchOperationType["UPDATE"] = "update";
    BatchOperationType["DELETE"] = "delete";
    BatchOperationType["MOVE"] = "move";
    BatchOperationType["COPY"] = "copy";
    BatchOperationType["VALIDATE"] = "validate";
    BatchOperationType["TRANSFORM"] = "transform";
    BatchOperationType["CUSTOM"] = "custom";
})(BatchOperationType || (BatchOperationType = {}));
/**
 * Приоритет операции
 */
export var BatchPriority;
(function (BatchPriority) {
    BatchPriority[BatchPriority["LOW"] = 1] = "LOW";
    BatchPriority[BatchPriority["NORMAL"] = 2] = "NORMAL";
    BatchPriority[BatchPriority["HIGH"] = 3] = "HIGH";
    BatchPriority[BatchPriority["CRITICAL"] = 4] = "CRITICAL";
})(BatchPriority || (BatchPriority = {}));
/**
 * Стратегия выполнения батча
 */
export var BatchExecutionStrategy;
(function (BatchExecutionStrategy) {
    BatchExecutionStrategy["SEQUENTIAL"] = "sequential";
    BatchExecutionStrategy["PARALLEL"] = "parallel";
    BatchExecutionStrategy["MIXED"] = "mixed";
})(BatchExecutionStrategy || (BatchExecutionStrategy = {}));
/**
 * Режим обработки ошибок
 */
export var BatchErrorMode;
(function (BatchErrorMode) {
    BatchErrorMode["FAIL_FAST"] = "fail_fast";
    BatchErrorMode["CONTINUE"] = "continue";
    BatchErrorMode["COLLECT_ERRORS"] = "collect_errors";
})(BatchErrorMode || (BatchErrorMode = {}));
//# sourceMappingURL=batch-interfaces.js.map