/**
 * Интерфейсы для системы персистентности CSElement
 * Поддержка различных типов хранилищ и адаптеров
 */
/**
 * Типы хранилищ
 */
export var StorageType;
(function (StorageType) {
    StorageType["MEMORY"] = "memory";
    StorageType["LOCAL_STORAGE"] = "localStorage";
    StorageType["SESSION_STORAGE"] = "sessionStorage";
    StorageType["INDEXED_DB"] = "indexedDB";
    StorageType["FILE_SYSTEM"] = "fileSystem";
    StorageType["CUSTOM"] = "custom";
})(StorageType || (StorageType = {}));
/**
 * События системы персистентности
 */
export var PersistenceEventType;
(function (PersistenceEventType) {
    PersistenceEventType["ADAPTER_REGISTERED"] = "adapter:registered";
    PersistenceEventType["ADAPTER_REMOVED"] = "adapter:removed";
    PersistenceEventType["ADAPTER_ERROR"] = "adapter:error";
    PersistenceEventType["SAVE_STARTED"] = "save:started";
    PersistenceEventType["SAVE_COMPLETED"] = "save:completed";
    PersistenceEventType["SAVE_FAILED"] = "save:failed";
    PersistenceEventType["LOAD_STARTED"] = "load:started";
    PersistenceEventType["LOAD_COMPLETED"] = "load:completed";
    PersistenceEventType["LOAD_FAILED"] = "load:failed";
    PersistenceEventType["DELETE_STARTED"] = "delete:started";
    PersistenceEventType["DELETE_COMPLETED"] = "delete:completed";
    PersistenceEventType["DELETE_FAILED"] = "delete:failed";
    PersistenceEventType["SYNC_STARTED"] = "sync:started";
    PersistenceEventType["SYNC_COMPLETED"] = "sync:completed";
    PersistenceEventType["SYNC_FAILED"] = "sync:failed";
})(PersistenceEventType || (PersistenceEventType = {}));
//# sourceMappingURL=persistence-interfaces.js.map