/**
 * Интерфейсы для системы транзакций CSElement
 * Поддержка ACID свойств и rollback операций
 */
/**
 * Статус транзакции
 */
export var TransactionStatus;
(function (TransactionStatus) {
    TransactionStatus["PENDING"] = "pending";
    TransactionStatus["ACTIVE"] = "active";
    TransactionStatus["COMMITTING"] = "committing";
    TransactionStatus["COMMITTED"] = "committed";
    TransactionStatus["ROLLING_BACK"] = "rolling_back";
    TransactionStatus["ROLLED_BACK"] = "rolled_back";
    TransactionStatus["FAILED"] = "failed";
})(TransactionStatus || (TransactionStatus = {}));
/**
 * Тип операции в транзакции
 */
export var TransactionOperationType;
(function (TransactionOperationType) {
    TransactionOperationType["CREATE_ELEMENT"] = "create_element";
    TransactionOperationType["UPDATE_ELEMENT"] = "update_element";
    TransactionOperationType["DELETE_ELEMENT"] = "delete_element";
    TransactionOperationType["ADD_CHILD"] = "add_child";
    TransactionOperationType["REMOVE_CHILD"] = "remove_child";
    TransactionOperationType["SET_DATA"] = "set_data";
    TransactionOperationType["DELETE_DATA"] = "delete_data";
    TransactionOperationType["CUSTOM"] = "custom";
})(TransactionOperationType || (TransactionOperationType = {}));
/**
 * Уровень изоляции транзакции
 */
export var IsolationLevel;
(function (IsolationLevel) {
    IsolationLevel["READ_UNCOMMITTED"] = "read_uncommitted";
    IsolationLevel["READ_COMMITTED"] = "read_committed";
    IsolationLevel["REPEATABLE_READ"] = "repeatable_read";
    IsolationLevel["SERIALIZABLE"] = "serializable";
})(IsolationLevel || (IsolationLevel = {}));
/**
 * События транзакционной системы
 */
export var TransactionEventType;
(function (TransactionEventType) {
    TransactionEventType["TRANSACTION_STARTED"] = "transaction:started";
    TransactionEventType["TRANSACTION_COMMITTING"] = "transaction:committing";
    TransactionEventType["TRANSACTION_COMMITTED"] = "transaction:committed";
    TransactionEventType["TRANSACTION_ROLLING_BACK"] = "transaction:rolling_back";
    TransactionEventType["TRANSACTION_ROLLED_BACK"] = "transaction:rolled_back";
    TransactionEventType["TRANSACTION_FAILED"] = "transaction:failed";
    TransactionEventType["TRANSACTION_ABORTED"] = "transaction:aborted";
    TransactionEventType["OPERATION_ADDED"] = "operation:added";
    TransactionEventType["OPERATION_EXECUTED"] = "operation:executed";
    TransactionEventType["OPERATION_FAILED"] = "operation:failed";
    TransactionEventType["OPERATION_ROLLED_BACK"] = "operation:rolled_back";
    TransactionEventType["SAVEPOINT_CREATED"] = "savepoint:created";
    TransactionEventType["SAVEPOINT_ROLLED_BACK"] = "savepoint:rolled_back";
    TransactionEventType["SAVEPOINT_RELEASED"] = "savepoint:released";
    TransactionEventType["LOCK_ACQUIRED"] = "lock:acquired";
    TransactionEventType["LOCK_RELEASED"] = "lock:released";
    TransactionEventType["LOCKS_RELEASED"] = "locks:released";
    TransactionEventType["DEADLOCK_DETECTED"] = "deadlock:detected";
})(TransactionEventType || (TransactionEventType = {}));
//# sourceMappingURL=transaction-interfaces.js.map