/**
 * Интерфейсы для Web Worker поддержки CSElement
 */
// ===== Типы операций для Worker =====
export var WorkerOperationType;
(function (WorkerOperationType) {
    // Операции с элементами
    WorkerOperationType["CREATE_ELEMENT"] = "create_element";
    WorkerOperationType["UPDATE_ELEMENT"] = "update_element";
    WorkerOperationType["DELETE_ELEMENT"] = "delete_element";
    WorkerOperationType["CLONE_ELEMENT"] = "clone_element";
    // Операции поиска и запросов
    WorkerOperationType["QUERY_ELEMENTS"] = "query_elements";
    WorkerOperationType["ADVANCED_QUERY"] = "advanced_query";
    WorkerOperationType["FILTER_ELEMENTS"] = "filter_elements";
    WorkerOperationType["SORT_ELEMENTS"] = "sort_elements";
    // Операции с данными
    WorkerOperationType["TRANSFORM_DATA"] = "transform_data";
    WorkerOperationType["VALIDATE_DATA"] = "validate_data";
    WorkerOperationType["COMPUTE_STATISTICS"] = "compute_statistics";
    // Операции сериализации
    WorkerOperationType["SERIALIZE_ELEMENT"] = "serialize_element";
    WorkerOperationType["DESERIALIZE_ELEMENT"] = "deserialize_element";
    WorkerOperationType["SERIALIZE_TREE"] = "serialize_tree";
    WorkerOperationType["DESERIALIZE_TREE"] = "deserialize_tree";
    // Операции diff и merge
    WorkerOperationType["COMPUTE_DIFF"] = "compute_diff";
    WorkerOperationType["APPLY_PATCH"] = "apply_patch";
    WorkerOperationType["THREE_WAY_MERGE"] = "three_way_merge";
    // Операции анализа
    WorkerOperationType["ANALYZE_STRUCTURE"] = "analyze_structure";
    WorkerOperationType["DETECT_CYCLES"] = "detect_cycles";
    WorkerOperationType["COMPUTE_METRICS"] = "compute_metrics";
    // Операции валидации
    WorkerOperationType["VALIDATE_STRUCTURE"] = "validate_structure";
    WorkerOperationType["CHECK_INTEGRITY"] = "check_integrity";
    // Пользовательские операции
    WorkerOperationType["CUSTOM_OPERATION"] = "custom_operation";
})(WorkerOperationType || (WorkerOperationType = {}));
//# sourceMappingURL=worker-interfaces.js.map