/**
 * Асинхронная блокировка для обеспечения потокобезопасности
 */
export declare class AsyncLock {
    private _queue;
    private _locked;
    /**
     * Получить блокировку
     */
    acquire(): Promise<void>;
    /**
     * Освободить блокировку
     */
    release(): void;
    /**
     * Проверить заблокирована ли блокировка
     */
    isLocked(): boolean;
    /**
     * Выполнить функцию с блокировкой
     */
    withLock<T>(fn: () => T | Promise<T>): Promise<T>;
}
//# sourceMappingURL=AsyncLock.d.ts.map