/**
 * ASCII движок для визуализации CSElement структур
 */
import { VisualizationEngine, VisualizationGraph, VisualizationOptions, VisualizationResult, VisualizationFormat } from '../../types/visualization-interfaces';
export declare class AsciiEngine implements VisualizationEngine {
    name: string;
    supportedFormats: VisualizationFormat[];
    /**
     * Проверка поддержки формата
     */
    supportsFormat(format: VisualizationFormat): boolean;
    /**
     * Рендеринг графа в ASCII формат
     */
    render(graph: VisualizationGraph, options: VisualizationOptions): Promise<VisualizationResult>;
    /**
     * Построение дерева из графа
     */
    private buildTree;
    /**
     * Рендеринг дерева в ASCII
     */
    private renderTree;
    /**
     * Форматирование метки узла
     */
    private formatNodeLabel;
}
//# sourceMappingURL=AsciiEngine.d.ts.map