/**
 * HTML движок для интерактивной визуализации CSElement структур
 */
import { VisualizationEngine, VisualizationGraph, VisualizationOptions, VisualizationResult, VisualizationFormat } from '../../types/visualization-interfaces';
export declare class HtmlEngine implements VisualizationEngine {
    name: string;
    supportedFormats: VisualizationFormat[];
    /**
     * Проверка поддержки формата
     */
    supportsFormat(format: VisualizationFormat): boolean;
    /**
     * Рендеринг графа в HTML формат
     */
    render(graph: VisualizationGraph, options: VisualizationOptions): Promise<VisualizationResult>;
    /**
     * Генерация HTML документа
     */
    private generateHtml;
    /**
     * Генерация миниатюры
     */
    private generateMinimap;
    /**
     * Генерация CSS стилей
     */
    private generateCss;
    /**
     * Генерация JavaScript кода
     */
    private generateJavaScript;
    /**
     * Экранирование HTML
     */
    private escapeHtml;
}
//# sourceMappingURL=HtmlEngine.d.ts.map